package edu.kit.ipd.descartes.adaptation.model.perfdatarepo;

import edu.kit.ipd.descartes.perfdatarepo.Impact;
import edu.kit.ipd.descartes.perfdatarepo.Result;

public interface IPerformanceDataRepositoryHandler {
    
    public void load(String modelFileUri);

    
    public Impact getLatestImpact();
    public Impact getImpactAt(int position);

    public Result getCurrentSystemState();

}
